 
 
SC_OK	equ 0
SC_EXIT equ 1
SC_PUTC equ 2
SC_PUTS equ 3
SC_GETC equ 4
SC_GETS equ 5
SC_CLS	equ 6

sc_buf	dd	0
sc_pid	dw	0
sc_name rb  32
 
 
; int __stdcall sc_init();
_sc_init:
	
	mov eax, 68
	mov ebx, 12
	mov ecx, 1024*4
	int 0x40
	mov ebx, eax
	
	mov eax, 9
	mov ecx, -1
	int 0x40
	
	mov dx, [ebx+30]
	mov [sc_pid], dx
	
	mov eax, 68
	mov ecx, ebx
	mov ebx, 13
	int 0x40


	mov cx, 4
	mov ax, [sc_pid]
@@:	xor dx, dx
	mov bx, 10
	div bx
	mov byte [sc_name+ecx-1], dl
	add byte [sc_name+ecx-1], '0'
	loop @b
	
	mov byte [sc_name+4], '-'
	mov byte [sc_name+5], 'S'
	mov byte [sc_name+6], 'H'
	mov byte [sc_name+7], 'E'
	mov byte [sc_name+8], 'L'
	mov byte [sc_name+9], 'L'
	
	mov eax, 68
	mov ebx, 22
	mov dword ecx, sc_name
	mov esi, 5
	int 0x40
	
	
	ret 4
	

	
	
; void __stdcall sc_puts(char *str);
_sc_puts:

	ret 4
	
	
	

; void __stdcall sc_gets(char *str);
_sc_gets:

	ret 4

	


; void __stdcall sc_putc(char c);
_sc_putc:
	mov eax, [sc_buf]
	mov bl, [esp+4]
	mov byte [eax], SC_PUTC
	mov [eax+1], bl
@@:	mov al, [eax]
	test al, al
	jz @f
	mov eax, 5
	mov ebx, 5
	int 0x40
	jmp @b
@@:
	ret 1

	


; char __stdcall sc_getc();
_sc_getc:
@@:	mov al, [eax]
	test al, al
	jz @f
	mov eax, 5
	mov ebx, 5
	int 0x40
	jmp @b
@@:
	mov al, [eax+1]
	ret
	
	
	
; int __stdcall sc_cls();
_sc_cls:
	mov eax, [sc_buf]
	mov bl, [esp+4]
	mov byte [eax], SC_CLS
@@:	mov al, [eax]
	test al, al
	jz @f
	mov eax, 5
	mov ebx, 5
	int 0x40
	jmp @b
@@:
	ret

	
	
; int __stdcall sc_exit();
_sc_exit:

	ret
